GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
gdcm::Pixmap Class Reference

Pixmap class A bitmap based image. Used as parent for both IconImage and the main Pixel Data Image It does not contains any World Space information (IPP, IOP) More...

`#include <gdcmPixmap.h>`

Inheritance diagram for gdcm::Pixmap:
[legend]
Collaboration diagram for gdcm::Pixmap:
[legend]

## Public Member Functions

| Pixmap ()
| ~Pixmap ()
bool | AreOverlaysInPixelData () const
| returns if Overlays are stored in the unused bit of the pixel data:
Curve & | GetCurve (unsigned int i=0)
| Curve: group 50xx.
const Curve & | GetCurve (unsigned int i=0) const
const IconImage & | GetIconImage () const
| Set/Get Icon Image.
IconImage & | GetIconImage ()
size_t | GetNumberOfCurves () const
size_t | GetNumberOfOverlays () const
Overlay & | GetOverlay (size_t i=0)
| Overlay: group 60xx.
const Overlay & | GetOverlay (size_t i=0) const
void | Print (std::ostream &) const
void | RemoveOverlay (size_t i)
void | SetIconImage (IconImage const &ii)
void | SetNumberOfCurves (size_t n)
void | SetNumberOfOverlays (size_t n)
Public Member Functions inherited from gdcm::Bitmap
| Bitmap ()
| ~Bitmap ()
void | Clear ()
bool | GetBuffer (char *buffer) const
| Acces the raw data.
unsigned long | GetBufferLength () const
unsigned int | GetColumns () const
const DataElement & | GetDataElement () const
DataElement & | GetDataElement ()
unsigned int | GetDimension (unsigned int idx) const
const unsigned int * | GetDimensions () const
| Return the dimension of the pixel data, first dimension (x), then 2nd (y), then 3rd (z)...
const LookupTable & | GetLUT () const
LookupTable & | GetLUT ()
bool | GetNeedByteSwap () const
unsigned int | GetNumberOfDimensions () const
| Return the number of dimension of the pixel data bytes; for example 2 for a 2D matrices of values.
const PhotometricInterpretation & | GetPhotometricInterpretation () const
| return the photometric interpretation
const PixelFormat & | GetPixelFormat () const
| Get/Set PixelFormat.
PixelFormat & | GetPixelFormat ()
unsigned int | GetPlanarConfiguration () const
| return the planar configuration
unsigned int | GetRows () const
const TransferSyntax & | GetTransferSyntax () const
bool | IsEmpty () const
bool | IsLossy () const
| Return whether or not the image was compressed using a lossy compressor or not.
bool | IsTransferSyntaxCompatible (TransferSyntax const &ts) const
void | SetColumns (unsigned int col)
void | SetDataElement (DataElement const &de)
void | SetDimension (unsigned int idx, unsigned int dim)
void | SetDimensions (const unsigned int dims[3])
void | SetLossyFlag (bool f)
| Specifically set that the image was compressed using a lossy compression mechanism.
void | SetLUT (LookupTable const &lut)
| Set/Get LUT.
void | SetNeedByteSwap (bool b)
void | SetNumberOfDimensions (unsigned int dim)
void | SetPhotometricInterpretation (PhotometricInterpretation const &pi)
void | SetPixelFormat (PixelFormat const &pf)
void | SetPlanarConfiguration (unsigned int pc)
void | SetRows (unsigned int rows)
void | SetTransferSyntax (TransferSyntax const &ts)
| Transfer syntax.
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assigment operator.
virtual | ~Object ()
void | operator= (const Object &)

## Protected Attributes

std::vector< Curve > | Curves
SmartPointer< IconImage > | Icon
std::vector< Overlay > | Overlays
Protected Attributes inherited from gdcm::Bitmap
std::vector< unsigned int > | Dimensions
bool | LossyFlag
LUTPtr | LUT
bool | NeedByteSwap
unsigned int | NumberOfDimensions
PixelFormat | PF
PhotometricInterpretation | PI
DataElement | PixelData
unsigned int | PlanarConfiguration
TransferSyntax | TS

## Additional Inherited Members

Protected Types inherited from gdcm::Bitmap
typedef SmartPointer< LookupTable > | LUTPtr
Protected Member Functions inherited from gdcm::Bitmap
bool | ComputeLossyFlag ()
bool | GetBuffer2 (std::ostream &os) const
bool | TryJPEG2000Codec (char *buffer, bool &lossyflag) const
bool | TryJPEG2000Codec2 (std::ostream &os) const
bool | TryJPEGCodec (char *buffer, bool &lossyflag) const
bool | TryJPEGCodec2 (std::ostream &os) const
bool | TryJPEGLSCodec (char *buffer, bool &lossyflag) const
bool | TryKAKADUCodec (char *buffer, bool &lossyflag) const
bool | TryPVRGCodec (char *buffer, bool &lossyflag) const
bool | TryRAWCodec (char *buffer, bool &lossyflag) const
bool | TryRLECodec (char *buffer, bool &lossyflag) const

## Detailed Description

Pixmap class A bitmap based image. Used as parent for both IconImage and the main Pixel Data Image It does not contains any World Space information (IPP, IOP)

See Also
  PixmapReader

## Constructor & Destructor Documentation

gdcm::Pixmap::Pixmap | ( |  | ) |

gdcm::Pixmap::~Pixmap | ( |  | ) |

## Member Function Documentation

bool gdcm::Pixmap::AreOverlaysInPixelData | ( |  | ) | const

virtual

returns if Overlays are stored in the unused bit of the pixel data:

Reimplemented from gdcm::Bitmap.

Curve& gdcm::Pixmap::GetCurve | ( | unsigned int | i = `0` | ) |

inline

Curve: group 50xx.

const Curve& gdcm::Pixmap::GetCurve | ( | unsigned int | i = `0` | ) | const

inline

const IconImage& gdcm::Pixmap::GetIconImage | ( |  | ) | const

inline

Set/Get Icon Image.

IconImage& gdcm::Pixmap::GetIconImage | ( |  | ) |

inline

size_t gdcm::Pixmap::GetNumberOfCurves | ( |  | ) | const

inline

size_t gdcm::Pixmap::GetNumberOfOverlays | ( |  | ) | const

inline

Overlay& gdcm::Pixmap::GetOverlay | ( | size_t | i = `0` | ) |

inline

Overlay: group 60xx.

const Overlay& gdcm::Pixmap::GetOverlay | ( | size_t | i = `0` | ) | const

inline

void gdcm::Pixmap::Print | ( | std::ostream & |  | ) | const

virtual

Reimplemented from gdcm::Bitmap.

void gdcm::Pixmap::RemoveOverlay | ( | size_t | i | ) |

inline

void gdcm::Pixmap::SetIconImage | ( | IconImage const & | ii | ) |

inline

void gdcm::Pixmap::SetNumberOfCurves | ( | size_t | n | ) |

inline

void gdcm::Pixmap::SetNumberOfOverlays | ( | size_t | n | ) |

inline

## Member Data Documentation

std::vector<Curve> gdcm::Pixmap::Curves

protected

SmartPointer<IconImage> gdcm::Pixmap::Icon

protected

std::vector<Overlay> gdcm::Pixmap::Overlays

protected

The documentation for this class was generated from the following file:

- gdcmPixmap.h